Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.caucho.jsp
Class QPageContext

    java.lang.Object
      |
      +--javax.servlet.jsp.PageContext
            |
            +--com.caucho.jsp.QPageContext

public class QPageContext
extends PageContext

Fields inherited from class javax.servlet.jsp.PageContext
`APPLICATION, APPLICATION_SCOPE, CONFIG, EXCEPTION, OUT, PAGE, PAGE_SCOPE, PAGECONTEXT, REQUEST, REQUEST_SCOPE, RESPONSE, SESSION, SESSION_SCOPE`

Method Summary
`java.lang.Object` | `findAttribute(java.lang.String name)` Finds an attribute in all scopes.
`void` | `forward(java.lang.String relativeUrl)` Forwards the request relative to the current URL.
`java.lang.Object` | `getAttribute(java.lang.String name)` Gets the named page attribute.
`java.lang.Object` | `getAttribute(java.lang.String name, int scope)` Gets an attribute in a given scope.
`java.util.Enumeration` | `getAttributeNames()` Return an enumeration of all the attribute names.
`java.util.Enumeration` | `getAttributeNames(int scope)`
`java.util.Enumeration` | `getAttributeNamesInScope(int scope)` Lists attribute names in a given scope.
`int` | `getAttributesScope(java.lang.String name)` Returns the scope for an attribute.
`java.lang.Exception` | `getException()` Returns the exception for error pages.
`JspWriter` | `getOut()` Returns the current output for the page.
`java.lang.Object` | `getPage()` Return the servlet object for the page.
`ServletRequest` | `getRequest()` Returns the ServletRequest for the page.
`ServletResponse` | `getResponse()` Returns the ServletResponse for the page.
`ServletConfig` | `getServletConfig()` Returns the servletConfig for the JSP page.
`ServletContext` | `getServletContext()` Returns the servletContext (application object) for the request.
`HttpSession` | `getSession()` Returns the request's session.
`java.lang.Throwable` | `getThrowable()`
`void` | `handlePageException(java.lang.Exception e)` Internal routine to support errorPages
`void` | `handlePageException(java.lang.Throwable e)`
`void` | `include(java.lang.String relativeUrl)` Includes the a page relative to the current URL.
`void` | `initialize(Servlet servlet, ServletRequest request, ServletResponse response, java.lang.String errorPage, boolean needsSession, int bufferSize, boolean autoFlush)` Internal routine to initialize the PageContext for a page.
`JspWriter` | `popBody()` Internal routine to support BodyTags.
`JspWriter` | `popBodyHack()`
`BodyContent` | `pushBody()` Internal routine to support BodyTags.
`void` | `release()` Internal routine to free PageContext resources at the end of a page.
`void` | `removeAttribute(java.lang.String name)` Removes the named page attribute.
`void` | `removeAttribute(java.lang.String name, int scope)` Removes an attribute in a given scope.
`void` | `setAttribute(java.lang.String name, java.lang.Object attribute)` Sets the named page attribute.
`void` | `setAttribute(java.lang.String name, java.lang.Object value, int scope)` Sets an attribute in a given scope.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### initialize

    public void initialize(Servlet servlet,
                           ServletRequest request,
                           ServletResponse response,
                           java.lang.String errorPage,
                           boolean needsSession,
                           int bufferSize,
                           boolean autoFlush)

  Description copied from class: `PageContext`
  Internal routine to initialize the PageContext for a page.
  Overrides:
    `initialize` in class `PageContext`

### getAttribute

    public java.lang.Object getAttribute(java.lang.String name)

  Description copied from class: `PageContext`
  Gets the named page attribute.
  Overrides:
    `getAttribute` in class `PageContext`
  Following copied from class: `javax.servlet.jsp.PageContext`
  Parameters:
    `name` - of the attribute

### setAttribute

    public void setAttribute(java.lang.String name,
                             java.lang.Object attribute)

  Description copied from class: `PageContext`
  Sets the named page attribute.
  Overrides:
    `setAttribute` in class `PageContext`
  Following copied from class: `javax.servlet.jsp.PageContext`
  Parameters:
    `name` - name of the attribute
    `attribute` - non-null attribute value.

### removeAttribute

    public void removeAttribute(java.lang.String name)

  Description copied from class: `PageContext`
  Removes the named page attribute.
  Overrides:
    `removeAttribute` in class `PageContext`

### getAttributeNames

    public java.util.Enumeration getAttributeNames()

  Description copied from class: `PageContext`
  Return an enumeration of all the attribute names.
  Overrides:
    `getAttributeNames` in class `PageContext`

### getAttribute

    public java.lang.Object getAttribute(java.lang.String name,
                                         int scope)

  Description copied from class: `PageContext`
  Gets an attribute in a given scope. You should use the scope-specific routines instead, like request.getAttribute.
  Overrides:
    `getAttribute` in class `PageContext`
  Following copied from class: `javax.servlet.jsp.PageContext`
  Parameters:
    `name` - attribute name
    `scope` - attribute scope

### setAttribute

    public void setAttribute(java.lang.String name,
                             java.lang.Object value,
                             int scope)

  Description copied from class: `PageContext`
  Sets an attribute in a given scope. You should use the scope-specific routines instead, like request.setAttribute.
  Overrides:
    `setAttribute` in class `PageContext`
  Following copied from class: `javax.servlet.jsp.PageContext`
  Parameters:
    `name` - attribute name
    `o` - attribute value
    `scope` - attribute scope

### removeAttribute

    public void removeAttribute(java.lang.String name,
                                int scope)

  Description copied from class: `PageContext`
  Removes an attribute in a given scope. You should use the scope-specific routines instead, like request.removeAttribute.
  Overrides:
    `removeAttribute` in class `PageContext`

### getAttributeNames

    public java.util.Enumeration getAttributeNames(int scope)

### getAttributeNamesInScope

    public java.util.Enumeration getAttributeNamesInScope(int scope)

  Description copied from class: `PageContext`
  Lists attribute names in a given scope. You should use the scope-specific routines instead, like request.getAttributeNames
  Overrides:
    `getAttributeNamesInScope` in class `PageContext`

### findAttribute

    public java.lang.Object findAttribute(java.lang.String name)

  Description copied from class: `PageContext`
  Finds an attribute in all scopes.
  Overrides:
    `findAttribute` in class `PageContext`

### getAttributesScope

    public int getAttributesScope(java.lang.String name)

  Description copied from class: `PageContext`
  Returns the scope for an attribute.
  Overrides:
    `getAttributesScope` in class `PageContext`

### getOut

    public JspWriter getOut()

  Description copied from class: `PageContext`
  Returns the current output for the page.
  Overrides:
    `getOut` in class `PageContext`

### pushBody

    public BodyContent pushBody()

  Description copied from class: `PageContext`
  Internal routine to support BodyTags. Pushes the new bodyContent to become the value of getOut().
  Overrides:
    `pushBody` in class `PageContext`

### popBody

    public JspWriter popBody()

  Description copied from class: `PageContext`
  Internal routine to support BodyTags.
  Overrides:
    `popBody` in class `PageContext`

### popBodyHack

    public JspWriter popBodyHack()

### getPage

    public java.lang.Object getPage()

  Description copied from class: `PageContext`
  Return the servlet object for the page.
  Overrides:
    `getPage` in class `PageContext`

### getRequest

    public ServletRequest getRequest()

  Description copied from class: `PageContext`
  Returns the ServletRequest for the page.
  Overrides:
    `getRequest` in class `PageContext`

### getResponse

    public ServletResponse getResponse()

  Description copied from class: `PageContext`
  Returns the ServletResponse for the page.
  Overrides:
    `getResponse` in class `PageContext`

### getSession

    public HttpSession getSession()

  Description copied from class: `PageContext`
  Returns the request's session.
  Overrides:
    `getSession` in class `PageContext`

### getServletConfig

    public ServletConfig getServletConfig()

  Description copied from class: `PageContext`
  Returns the servletConfig for the JSP page.
  Overrides:
    `getServletConfig` in class `PageContext`

### getServletContext

    public ServletContext getServletContext()

  Description copied from class: `PageContext`
  Returns the servletContext (application object) for the request.
  Overrides:
    `getServletContext` in class `PageContext`

### getException

    public java.lang.Exception getException()

  Description copied from class: `PageContext`
  Returns the exception for error pages.
  Overrides:
    `getException` in class `PageContext`

### getThrowable

    public java.lang.Throwable getThrowable()

### include

    public void include(java.lang.String relativeUrl)
                 throws ServletException,
                        java.io.IOException

  Description copied from class: `PageContext`
  Includes the a page relative to the current URL.
  Overrides:
    `include` in class `PageContext`

### forward

    public void forward(java.lang.String relativeUrl)
                 throws ServletException,
                        java.io.IOException

  Description copied from class: `PageContext`
  Forwards the request relative to the current URL.
  Overrides:
    `forward` in class `PageContext`

### handlePageException

    public void handlePageException(java.lang.Exception e)
                             throws ServletException,
                                    java.io.IOException

  Description copied from class: `PageContext`
  Internal routine to support errorPages
  Overrides:
    `handlePageException` in class `PageContext`

### handlePageException

    public void handlePageException(java.lang.Throwable e)
                             throws ServletException,
                                    java.io.IOException

### release

    public void release()

  Description copied from class: `PageContext`
  Internal routine to free PageContext resources at the end of a page.
  Overrides:
    `release` in class `PageContext`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD